<?php

namespace App\Models;

class PermissionGroup extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'permission_group';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    public function getParameterRulesArrayAttribute()
    {
        try
        {
            return json_decode($this->parameter_rules, true);
        }
        catch (Exception $e)
        {
            return null;
        }
    }

}
